com.opensymphony.xwork2.validator.annotations

## Annotation Type FieldExpressionValidator

-     @Target(value=METHOD)
       @Retention(value=RUNTIME)
      public @interface FieldExpressionValidator

  This validator uses an OGNL expression to perform its validator. The error message will be added to the field if the expression returns false when it is evaluated against the value stack.

  Annotation usage:

  The annotation must be applied at method level.

  Annotation parameters:

  Parameter | Required | Default | Notes
  --- | --- | --- | ---
  message | yes |  | field error message
  key | no |  | i18n key from language specific properties file.
  messageParams | no |  | Additional params to be used to customize message - will be evaluated against the Value Stack
  fieldName | no |  |
  shortCircuit | no | false | If this validator should be used as shortCircuit.
  expression | yes |  | An OGNL expression that returns a boolean value.

  Example code:

       @FieldExpressionValidator(message = "Default message", key = "i18n.key", shortCircuit = true, expression = "an OGNL expression")

  Author:
    Rainer Hermanns

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `String` | `expression`

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `String` | `fieldName`
    `String` | `key`
    `String` | `message`
    `String[]` | `messageParams`
    `boolean` | `shortCircuit` If this is activated, the validator will be used as short-circuit.

- - ### Element Detail

    - #### expression

          public abstract String expression

      Returns:
        An OGNL expression that returns a boolean value.

  - - #### message

          public abstract String message

      Returns:
        The default error message for this validator. NOTE: It is required to set a message, if you are not using the message key for 18n lookup!
      Default:
        ""

  - - #### key

          public abstract String key

      Returns:
        The message key to lookup for i18n.
      Default:
        ""

  - - #### messageParams

          public abstract String[] messageParams

      Returns:
        Additional params to be used to customize message - will be evaluated against the Value Stack
      Default:
        {}

  - - #### fieldName

          public abstract String fieldName

      Returns:
        The optional fieldName for SIMPLE validator types.
      Default:
        ""

  - - #### shortCircuit

          public abstract boolean shortCircuit

      If this is activated, the validator will be used as short-circuit. Adds the short-circuit='true' attribute value if `true`.
      Returns:
        true if validator will be used as short-circuit. Default is false.
      Default:
        false

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.